/*
 * Copyright (c) 1995-2011 by 4system Polska Sp. z o.o.
 * All Rights Reserved.
 */
if (typeof(moduleDone)!="undefined") moduleDone("actions.js");

WBTAction = function()
{
};

WBTAction.prototype.show = function(name)
{
  var elem = page.findChildByName(name);
  if(elem) {
    elem.visible = true;
    elem.paint();    
  }
};

WBTAction.prototype.hide = function(name)
{
  var elem = page.findChildByName(name);
  if(elem) {
    elem.visible = false;
    elem.paint();    
  }
};

WBTAction.prototype.playMedia = function(name)
{
  var elem = page.findChildByName(name);
  if(elem && elem.play) {
			elem.play();
  }
};

WBTAction.prototype.stopMedia = function(name)
{
  var elem = page.findChildByName(name);
  if(elem && elem.play) {
    elem.stop();
  }
};

action = new WBTAction();
